{% extends 'base.html' %}
{% load static %}
{% block content %}
<section class="course">
    <div id="profile-menu">
        {% include 'include/profile_menu.html' %}
    </div>
    <div class="course_content">
        <h1 class="course_content_headline">Кибербезопасность</h1>
        <div class="course_content_achivment">
            
            <button class="collapsible">Лекция 1. “Введение в тему”</button>
            <div class="content">
                <button class="nested-collapsible">Лекционный материал</button>
                <div class="nested-content">
                    <p><span class="status">Пройдено</span> Теория</p>
                    <p><span class="status">Пройдено</span> Практика</p>
                </div>
                <div class="sub-item">
                    <p><span class="status">Пройдено</span> Практическое задание</p>
                </div>
            </div>

            <button class="collapsible">Лекция 1. 1 “Введение в тему”</button>
            <div class="content">
                <p><span class="status">Пройдено</span> Лекционный материал</p>
            </div>

            <button class="collapsible">Лекция 1. 2 “Введение в тему”</button>
            <div class="content">
                <p><span class="status">Пройдено</span> Лекционный материал</p>
            </div>

            <button class="collapsible">Лекция 1. 3 “Введение в тему”</button>
            <div class="content">
                <p><span class="status">Пройдено</span> Лекционный материал</p>
            </div>

            <button class="collapsible">Лекция 1. 4 “Введение в тему”</button>
            <div class="content">
                <p><span class="status">Пройдено</span> Лекционный материал</p>
            </div>

            <button class="collapsible">Лекция 1. 5 “Введение в тему”</button>
            <div class="content">
                <p><span class="status in-progress">В процессе</span> Лекционный материал</p>
            </div>

<script>
    var coll = document.getElementsByClassName("collapsible");
    for (var i = 0; i < coll.length; i++) {
        coll[i].addEventListener("click", function() {
            this.classList.toggle("active");
            var content = this.nextElementSibling;
            if (content.style.display === "block") {
                content.style.display = "none";
            } else {
                content.style.display = "block";
            }
        });
    }
    var nestedColl = document.getElementsByClassName("nested-collapsible");
    for (var i = 0; i < nestedColl.length; i++) {
        nestedColl[i].addEventListener("click", function() {
            this.classList.toggle("active");
            var nestedContent = this.nextElementSibling;
            if (nestedContent.style.display === "block") {
                nestedContent.style.display = "none";
            } else {
                nestedContent.style.display = "block";
            }
        });
    }
</script>

        </div>
    </div>
</section>
{% endblock content %}
